#' @name attr.mouse
#' @title Mouse GENCODE annotations (M7)
#' 
#' @description
#' A dataset containing identifiers for gene transcripts
#'
#' @docType data
#'
#' @format A data frame with 46517 rows and 10 variables:
#' \describe{
#'   \item{chr}{chromosome}
#'   \item{start}{chromosomal start position, in base pairs}
#'   \item{end}{chromosomal end position, in base pairs}
#'   \item{strand}{chromosomal strand, + or - }
#'   \item{un}{unknown}
#'   \item{ensemblID}{ENSEMBL identifier}
#'   \item{type}{type of transcript}
#'   \item{stat}{status of transcript}
#'   \item{name}{HUGO identifier}
#'   \item{entrezID}{Entrez identifier}
#'  
#' }
#'  @source \url{ftp://ftp.sanger.ac.uk/pub/gencode/Gencode_mouse/release_M7/}
#'  
#' @rdname attr.mouse
#'
NULL

